Disable webhook
Webhooks
Disable webhook
Disables a webhook subscription for the current API principal. The signing secret is not returned after creation.
DELETE
Disable webhook
Authorizations
Canonical API-key credential. Send X-API-Key: cns_pk_..., or Authorization: Bearer cns_pk_... only as an API-key compatibility alias. OAuth and JWT bearer tokens are not supported.
Path Parameters
Webhook subscription ID.
Response
Disabled webhook subscription.
Example:
{
"id": "wh_123",
"principalId": "principal_123",
"url": "https://example.com/shodai/webhooks",
"status": "active",
"eventTypes": [
"agreement.transitioned",
"agreement.notification.triggered"
],
"filters": {
"templateIds": ["did:template:service-retainer-v0-1"],
"ruleIds": ["deployment-follow-up"]
},
"createdAt": "2026-05-26T16:00:00.000Z",
"updatedAt": "2026-05-26T16:00:00.000Z"
}